{% load wagtailcore_tags %}

{% if url %}
  <a
    href="{{ url }}"
{% else %}
  <div
{% endif %}
    class="hover:no-underline mb-12 flex gap-3 items-start"
  >

    {% if icon %}
      <img
        src="{{ icon.url }}"
        class="
          hidden inline-block mr-6
          lg:block
          xl:justify-self-end
        "
      >
    {% endif %}

    <div class="flex flex-col">
      <h3 class="font-alt mb-4 text-4xl">
        {{ title }}
      </h3>
      <div class="prose max-w-none [&>div.content-block>p:first-child]:mt-0">
        {{ text|richtext }}
      </div>
    </div>

</{% if url %}a{% else %}div{% endif %}>
